﻿using Infragistics.Scheduler;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace XFSchedulerWorkHours
{
    public class ViewModel
    {
        public ObservableCollection<ScheduleResource> Resources { get; set; }
        public ObservableCollection<Appointment> Appointments { get; set; }

        public Appointment SelectedAppointment { get; set; }
        public DateTime SelectedDate { get; set; }
        public bool IsWeeklyVisible { get; set; }

        public ViewModel()
        {
            Resources = new ObservableCollection<ScheduleResource>();
            Appointments = new ObservableCollection<Appointment>();

            ScheduleResource res1 = new ScheduleResource("res1", "Resource 1");
            Resources.Add(res1);

            Appointment app1 = new Appointment() { Start = DateTime.Today.AddHours(10), End = DateTime.Today.AddHours(12), Subject = "Appointment 1", ResourceId = "res1" };
            Appointments.Add(app1);

            this.SelectedDate = DateTime.Today;
            this.SelectedAppointment = app1;
            this.IsWeeklyVisible = true;
        }
    }
}
